use serde::Deserialize;

#[derive(Deserialize)]
#[serde(deny_unknown_fields)]
pub struct Network {
	#[serde(default)]
	pub tailscale: bool,

	#[serde(default)]
	pub wifi: Vec<Wifi>
}

#[derive(Deserialize)]
//#[serde(deny_unknown_fields)]
pub struct Wifi {
	pub ssid: String,

	#[serde(flatten)]
	pub security: WifiSecurity
}

#[derive(Deserialize)]
#[serde(tag = "security")]
pub enum WifiSecurity {
	#[serde(rename = "none")]
	None,

	#[serde(rename = "WPA-PSK")]
	WpaPsk { password: String },

	#[serde(rename = "WPA-EAP")]
	WpaEap { identity: String, password: String }
}
