use super::{run_chroot, Image};
use crate::setup::Setup;
use anyhow::bail;

pub fn set_passwords(img: &Image, setup: &Setup) -> anyhow::Result<()> {
	eprintln!("Setting user passwords ...");

	// the password is insecure by design, so we'll lock it for security
	run_chroot(img, "root", ["passwd", "-l", "mkalpiimg"])?;

	for user in &setup.os.user {
		if let Some(password) = &user.password {
			if password.contains('\'') {
				bail!("Sorry I won't set passwords containing `'`");
			}
			run_chroot(img, "root", format!("echo '{}:{password}' | chpasswd", user.name).as_str())?;
		}
	}

	Ok(())
}
